> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/sdk/march-2026/d1-sdk-v4.3.0.md).

# D1 SDK v4.3.0

{% tabs %}
{% tab title="Android" %}

#### Supported platforms and architectures

* Android 8.1.0 or later
* Architectures: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

#### Click to Pay

**New features**

* Add new APIs: `ClickToPayService.enrol`, `ClickToPayService.getProfiles`, `ClickToPayService.optOutCard`, `ClickToPayService.optOutConsumer`, `ClickToPayService.updateCard`, and `ClickToPayService.updateConsumer`.
* Deprecate `D1ClickToPay` in favor of `ClickToPayService`.

#### Visa CTF

**New features**

* Add new APIs: `DigitalCardService.approveBinding`, `DigitalCardService.approveCardholderVerification`, and `DigitalCardService.unbindDevice`.

#### General

**Improvements**

* Strengthen D1 SDK security.
* Add `D1Task.getLogService` to replace the deprecated `D1Task.getSecureLog` API.
* Add `D1TaskdisableLogService` to replace the deprecated `D1Task.enableSecureLog` API.
  {% endtab %}

{% tab title="iOS" %}

#### Supported platforms and architectures

* iOS 16 or later
* Architectures: `arm64`, `x86_64`

#### Click to Pay

**New features**

* Add new APIs: `ClickToPayService.enrol`, `ClickToPayService.profiles`, `ClickToPayService.optOutCard`, `ClickToPayService.optOutConsumer`, `ClickToPayService.updateCard`, and `ClickToPayService.updateConsumer`.
* Deprecate `D1ClickToPay` in favor of `ClickToPayService`.

#### Visa CTF

**New features**

* Add new APIs: `DigitalCardService.approveBinding`, `DigitalCardService.approveCardholderVerification`, and `DigitalCardService.unbindDevice`.

#### General

**Improvements**

* Strengthen D1 SDK security.
* Support application signature verification.

**Bug fixes**

* Fix an issue where calling `D1DisplayTextField.insecureCopyToClipboard` causes the text to disappear.
* Fix file path generation issue in WalletExtension where product titles containing forward slash characters

**Known issues**

* When multiple iOS applications enable keychain sharing within the same group, only one application functions correctly. The remaining applications may experience issues when using either 3DS features or Messaging Service.
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/sdk/march-2026/d1-sdk-v4.3.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
